service daemon/dbus {
        need = system/initial system/mountfs system/bootmisc

        pid_file = /var/run/dbus/pid
        daemon {
              DAEMON=/usr/bin/dbus-daemon-1
              NAME=dbus-1
              DAEMONUSER=messagebus
              PIDDIR=/var/run/dbus
              PIDFILE=$PIDDIR/pid
              DESC="system message bus"

              if [ -e /etc/default/dbus-1 ]; then
                . /etc/default/dbus-1
              fi


              if [ ! -d $PIDDIR ]; then
                mkdir -p $PIDDIR
                chown $DAEMONUSER $PIDDIR
                chgrp $DAEMONUSER $PIDDIR
              fi
              if [ -e $PIDFILE ]; then
                PIDDIR=/proc/$(cat $PIDFILE)
                if [ -d ${PIDDIR} -a  "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then
                  echo "$DESC already started; not starting."
                else
                  echo "Removing stale PID file $PIDFILE."
                  rm -f $PIDFILE
                fi
              fi
              echo -n "Starting $DESC: "
              $DAEMON --system $PARAMS
              echo "$NAME."
              }
}
