service daemon/hald {
    need = system/initial system/mountfs daemon/dbus
    use = daemon/acpid

    daemon {
        PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
        DAEMON=/usr/sbin/hald
        PIDDIR=/var/run/hal
        NAME=hald
        DAEMONUSER=hal
        DESC="Hardware abstraction layer"

        if [ -f /etc/default/hal ] ; then
          . /etc/default/hal
        fi

        if [ ! -d $PIDDIR ]; then
          mkdir -p $PIDDIR
          chown $DAEMONUSER:$DAEMONUSER $PIDDIR
        fi

        echo -n "Starting $DESC: "
        $DAEMON --daemon=no $DAEMON_OPTS
        echo "$NAME."
        }
}
