
service system/guarddog {
	need = system/initial
	start = /etc/rc.firewall
	
stop {
    if [ -x /sbin/iptables ]; then
        iptables -P OUTPUT ACCEPT
        iptables -P INPUT ACCEPT
        iptables -P FORWARD ACCEPT
        iptables -F
        iptables -X
        exit 0;
    fi
    if [ -x /sbin/ipchains ]; then
        ipchains -P output ACCEPT
        ipchains -P input ACCEPT
        ipchains -P forward ACCEPT
        ipchains -F
        ipchains -X
        exit 0;
    fi
    echo "Cannot find /sbin/ipchains or /sbin/iptables"
    exit 1
}
}
