service system/readahead {
    start {
        READAHEAD="/usr/sbin/readahead"
        if [ ! -x "$READAHEAD" ]; then
            READAHEAD="/sbin/readahead"
            if [ ! -x "$READAHEAD" ]; then
                echo "WARNING, skipping readahead!"
                exit 0
            fi
        fi
	if [ -e /etc/readahead/readahead.new ]; then
	    exec $READAHEAD < /etc/readahead/readahead.new
	fi

	if [ -e /etc/readahead/readahead ]; then
	    exec $READAHEAD < /etc/readahead/readahead
	fi

	if [ -e /etc/readahead ]; then
	    exec $READAHEAD < /etc/readahead
	fi
	
	echo " List of files to be read ahead can not be found "
	exit 1
    }
}
