#TODO: Test if we have sarted with fb before starting splashy
service system/splashy {
    need = system/initial
start {
    DAEMON=/sbin/splashy
    
    test -x $DAEMON || exit 0

    spl_pidfile="/etc/splashy/splashy.pid"
    spl_fifo="/etc/splashy/splashy.fifo"
    if [ -r "/etc/default/splashy" ]; then
       . /etc/default/splashy
    else
        $ECHO "WARN: Missing /etc/default/splashy. Falling back to defaults $spl_fifo $spl_pidfile"
    fi


    if [ -r "/etc/init.d/splashy-functions.sh" ]; then
        . /etc/init.d/splashy-functions.sh
    else
        $ECHO "WARN: Missing /etc/init.d/splashy-functions.sh. Progressbar will not function correctly"
    fi

    SPL_MSG="Starting $NAME boot sequence"

    start-stop-daemon --start --quiet --pidfile $spl_pidfile \
    --exec $DAEMON -- boot 2> /dev/null

    ngc -S "splashy,boot"

}

stop {

    if [ -r "/etc/default/splashy" ]; then
       . /etc/default/splashy
    else
        $ECHO "WARN: Missing /etc/default/splashy. Falling back to defaults $spl_fifo $spl_pidfile"
    fi

    splashy_cmd_send "exit"
    ngc -S "splashy,shutdown"
} 


}
