service daemon/postgres {
    need = system/initial system/mountfs net/lo virtual/networking
    start {
      PGDATA="/var/lib/pgsql"
      PGPORT="5432"
      su - postgres -c "/usr/bin/pg_ctl -D ${PGDATA} -p /usr/bin/postmaster -o '-p ${PGPORT}' start" < /dev/null
    }
    stop {
      PGDATA="/var/lib/pgsql"
      su - postgres -c "/usr/bin/pg_ctl stop -D ${PGDATA} -s -m fast"
    }
}
