
service system/netmount {
	need = system/initial system/mountfs virtual/networking daemon/portmap

start {
# Mount local filesystems in /etc/fstab.
echo "Mounting network filesystems ..."
mount -aFt afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
if [ "${?}" -ne 0 ]; then
    echo "Mounting failed, trying to mount network filesystems again ..."
    mount -at afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
    exit $?
fi
exit 0
}


stop {
# Mount local filesystems in /etc/fstab.
echo "Unmounting network filesystems ..."
umount -at afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
if [ "${?}" -ne 0 ]; then
    echo "Unmounting failed, trying to unmount network filesystems again ..."
    umount -aft afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
    exit $?
fi
exit 0
}
}
